4Suite™ API Documentation

# ► Module Ft.Lib.DistExt.Install

Classes: Install |  |  |  | Globals: DEBUG

## Classes

class Install(distutils.command.install.install)

  ### Methods

  finalize_options(self)
    Overrides: finalize_options from class install
  get_source_files(self)
  has_devel(self)
  has_docs(self)
  has_l10n(self)
  has_localstate(self)
  has_sysconf(self)
  initialize_options(self)
    Overrides: initialize_options from class install
  run(self)
    Overrides: run from class install

  ### Methods inherited from class distutils.command.install.install

  change_roots, convert_paths, create_path_file, dump_dirs, expand_basedirs, expand_dirs, finalize_other, finalize_unix, get_inputs, get_outputs, handle_extra_path, has_data, has_headers, has_lib, has_scripts, select_scheme

  ### Methods inherited from class distutils.cmd.Command

  __getattr__, __init__, announce, copy_file, copy_tree, debug_print, dump_options, ensure_dirname, ensure_filename, ensure_finalized, ensure_string, ensure_string_list, execute, get_command_name, get_finalized_command, get_sub_commands, make_archive, make_file, mkpath, move_file, reinitialize_command, run_command, set_undefined_options, spawn, warn

  ### Members

  boolean_options = ['compile', 'force', 'skip-build', 'with-docs']
  command_name = 'install'
  negative_opt = {'no-compile': 'compile', 'without-docs': 'with-docs'}
  sub_commands = [('install_lib', <function has_lib>), ('install_headers', <function has_headers>), ('install_scripts', <function has_scripts>), ('install_data', <function has_data>), ('install_sysconf', <function has_sysconf>), ('install_localstate', <function has_localstate>), ('install_devel', <function has_devel>), ('install_docs', <function has_docs>), ('install_l10n', <function has_l10n>)]
  user_options = [('compile', 'c', 'compile .py to .pyc [default]'), ('no-compile', None, "don't compile .py files"), ('optimize=', 'O', 'also compile with optimization: -O1 for "python ...r "python -OO", and -O0 to disable [default: -O0]'), ('force', 'f', 'force installation (overwrite any existing files)'), ('skip-build', None, 'skip rebuilding everything (for testing/debugging)'), ('with-docs', None, 'enable documentation build [default]'), ('without-docs', None, 'disable documentation build')]

  ### Members inherited from class distutils.command.install.install

  description

## Globals

DEBUG = None